# Como Iniciar o Projeto

Siga os passos abaixo para configurar e rodar o projeto corretamente.

## Pré-requisitos

1. **Instalar a versão mais recente do Node.js**

   - Acesse o site oficial do Node.js e baixe o instalador mais recente:  
     [Baixar Node.js](https://nodejs.org/en/download/prebuilt-installer/current)

   - **Windows** e **macOS**:  
     Basta baixar o instalador e seguir o passo a passo da instalação.

2. **Verificar a instalação**

   Após a instalação do Node.js, verifique se ele foi instalado corretamente executando os seguintes comandos no terminal:

   ```bash
   node -v
   npm -v
   ```

## Passo a Passo para Rodar o Projeto

1. **Instalar Dependências**

   No diretório raiz do projeto, execute o comando abaixo para instalar todas as dependências necessárias:

   ```bash
   npm install

   ```

2. **Buildar o Projeto**

   Depois que todas as dependências forem instaladas, crie a build do projeto com o comando:

   ```bash
   npx next build

   ```

3. **Rodar o Projeto**

   Se o build acontecer sem erros, você pode iniciar o servidor em desenvolvimento com o comando:

   ```bash
   npx next dev

   ```

4. **Acessar o Projeto**

Se tudo estiver configurado corretamente, seu projeto estará rodando localmente, e acesse o endereço abaixo no navegador:

    ``http://localhost:3000``
