"use server";

import apiService from "@/service";
import { PostEditRequest } from "@/interfaces/post";

export async function getPosts() {
  const response = apiService.get({
    url: "/categorias/",
  });

  return response;
}

export async function deletePost(id: string) {
  const response = apiService.patch({
    url: `/categorias/delete/${id}`,
  });

  return response;
}

export async function createOrUpdatePost(content: PostEditRequest) {
  const url = content.id
    ? `/categorias/update/${content.id}`
    : "/categorias/create";

  const method = content.id ? "patch" : "post";

  const response = await apiService[method]({
    url,
    data: content,
  });

  return response;
}

export async function fetchPostById(id: string) {
  const response = await apiService.get({ url: `/categorias/post/${id}` });
  return response.data;
}
