import "./globals.css";
import type { Metadata } from "next";
import { Toaster } from 'sonner';

export const metadata: Metadata = {
  title: "Colabora Aí",
  description: "Administração para cooperados",
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="pt-BR">
      <body className={`w-screen h-screen font-inter`}>
        <div className="flex flex-row justify-center w-full h-full">
          <Toaster richColors={true} position="top-right" />
          {children}
        </div>
      </body>
    </html>
  );
}
