import { FaExclamationTriangle } from "react-icons/fa";
import styles from "@/styles/components/form.message.module.css";

interface FormErrorProp {
  message?: string;
}

export function FormError({ message }: FormErrorProp) {
  if (!message) {
    return null;
  }

  return (
    <div className={styles.errorContainer}>
      <FaExclamationTriangle className={styles.icon} />
      <p>{message}</p>
    </div>
  );
}
