import { FaCheckCircle } from "react-icons/fa";
import styles from "@/styles/components/form.message.module.css";

interface FormSuccessProps {
  message?: string;
}

export function FormSuccess({ message }: FormSuccessProps) {
  if (!message) {
    return null;
  }

  return (
    <div className={styles.successContainer}>
      <FaCheckCircle className={styles.icon} />
      <p>{message}</p>
    </div>
  );
}
