"use client";

import React from "react";
import Image from "next/image";

import Logo from "@/app/assets/logo.png";

import LogoutButton from "@/components/LogoutButton";

import styles from "@/styles/components/header.module.css";

export default function Header() {
  return (
    <header className={styles.headerContainer}>
      <div className={styles.logoContainer}>
        <div className={styles.logoWrapper}>
          <Image
            src={Logo}
            alt="colabora ai"
            width={1920}
            height={640}
            priority
          />
        </div>
        <span className={styles.adminText}>Portal administrativo</span>
      </div>
      <LogoutButton />
    </header>
  );
}
