"use client";

import React from "react";
import { useRouter } from "next/navigation";
import Image from "next/image";

import styles from "@/styles/components/logoutButton.module.css";
import Logout from "@/app/assets/logout-icon.png";

import { useLocalStorage } from "@/hooks/useLocalStorage";

export default function LogoutButton() {
  const router = useRouter();
  const { deleteFromStorage } = useLocalStorage();

  function handleLogout() {
    deleteFromStorage('token'); 
    deleteFromStorage('tokenExpiry');
    return router.push("/login")
  }

  return (
    <button
      className={`${styles["button-container"]} ${styles["button-container-white"]}`}
      onClick={handleLogout}
    >
      <span className={styles["text-container"]}>Sair</span>
      <Image src={Logout} alt="logout icon" className={styles.icon} />
    </button>
  );
}
