import Image from "next/image";
import searchIcon from "@/app/assets/search-icon.png"
import styles from "@/styles/components/search.input.module.css";

interface SearchInputProps {
  onChange: (value: string) => void
  placeholder?: string
}

export default function SearchInput({ onChange, placeholder}: SearchInputProps) {
  return (
    <div className={styles.searchWrapper}>
      <Image
        src={searchIcon}
        alt="searchIcon"
        className={styles.searchIcon}
        width={20}
        height={20}
      />
      <input
        onChange={(e) => onChange(e.target.value)}
        type="text"
        className={styles.searchInput}
        placeholder={placeholder}
      />
    </div>
  )
}