import styles from '@styles/components/table.skeleton.module.css'

export default function TableSkeleton() {
  return (
    <div className={styles.tableContainer}>
      <table className={styles.table}>
        <thead>
          <tr>
            <th className={styles.th}>
              <div className={styles.skeletonHeader}></div>
            </th>
            <th className={styles.th}>
              <div className={styles.skeletonHeader}></div>
            </th>
            <th className={styles.th}>
              <div className={styles.skeletonHeader}></div>
            </th>
            <th className={styles.thActions}></th>
          </tr>
        </thead>
        <tbody>
          {[...Array(5)].map((_, index) => (
            <tr key={index}>
              <td className={styles.td}>
                <div className={styles.skeletonCell}></div>
              </td>
              <td className={styles.td}>
                <div className={styles.skeletonCell}></div>
              </td>
              <td className={styles.td}>
                <div className={styles.skeletonCell}></div>
              </td>
              <td className={styles.tdActions}>
                <div className={styles.skeletonActions}>
                  <div className={styles.skeletonAction}></div>
                  <div className={styles.skeletonAction}></div>
                  <div className={styles.skeletonAction}></div>
                </div>
              </td>
            </tr>
          ))}
        </tbody>
      </table>
    </div>
  )
}