import { Feedback } from "@/interfaces/feedback";
import { PointOfInterest, PointOfInterestRequest } from "@/interfaces/point-of-interest";

export interface PostRequest {
  title: string;
  description: string;
  category: string[];
  pointOfInterest?: PointOfInterestRequest
  image: string | null;
  isActive: boolean;
}

export interface PostEditRequest {
  id: string;
  title: string;
  description: string;
  category: string[];
  pointOfInterest?: PointOfInterestRequest
  image: string | null;
  isActive: boolean;
}

export interface Post {
  id: string;
  title: string;
  description: string;
  category: string[];
  image?: string;
  feedbacks: Feedback[];
  pointOfInterest?: PointOfInterest;
  data_criacao: string
}
