import { z } from "zod";

const fieldTranslations: Record<string, string> = {
  address: "Endereço",
  title: "Título do endereço",
  description: "Descrição do endereço",
  zipCode: "CEP",
  state: "Estado",
};

export const pointOfInteresSchema = z.object({
  address: z.string().min(1, `${fieldTranslations.address} é obrigatório`),
  title: z.string().min(1, `${fieldTranslations.title} é obrigatório`),
  description: z.string().min(1, `${fieldTranslations.description} é obrigatório`),
  zipCode: z.string().min(1, `${fieldTranslations.zipCode} é obrigatório`),
  state: z.string().min(1, `${fieldTranslations.state} é obrigatório`),
});
