export interface Feedback {
  id: string;
  comment?: string;
  hasLiked: boolean;
}

interface PointOfInterest {
  name: string;
  location: string;
}

export interface Post {
  title: string;
  category: string[];
  description: string;
  image?: string;
  feedbacks: Feedback[];
  pointOfInterest?: PointOfInterest;
  id: string;
}

export interface PostRequest {
  id?: string;
  title: string;
  description: string;
  category: string[];
  pointOfInterest: {
    id?: string;
    titulo: string;
    descricao?: string;
    latitude: number | null;
    longitude: number | null;
  };
  image: File | null;
  isActive: boolean;
}
